Bug 215839 - Can't install both i386 and x86_64 libstdc++-devel rpms
Can't install both i386 and x86_64 libstdc++-devel rpms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 18:49 EST by H.J. Lu
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1.1-52.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 04:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2006-11-15 18:49:08 EST
For some reason, I can only install one libstdc++-devel rpm, not both:

[root@gnu-15 c++]# http_proxy= yum -y install libstdc++-devel.i386
libstdc++-devel.x86_64
Loading "rhnplugin" plugin
Loading "installonlyn" plugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for libstdc++-devel to pack into transaction set.
libstdc++-devel-4.1.1-30. 100% |=========================| 122 kB    00:00     
---> Package libstdc++-devel.x86_64 0:4.1.1-30 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 libstdc++-devel         x86_64     4.1.1-30         Workstation        10 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 10 M
Downloading Packages:
(1/1): libstdc++-devel-4. 100% |=========================|  10 MB    00:00     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Removing  : libstdc++-devel              ######################### [1/2]
  Installing: libstdc++-devel              ######################### [2/2] 

Installed: libstdc++-devel.x86_64 0:4.1.1-30
Complete!
[root@gnu-15 c++]# rpm -q yum  
yum-3.0-5.4
Comment 1 Jakub Jelinek 2006-11-16 02:55:19 EST
rpm certainly doesn't complain about those two and installs both.
So it must be some yum thingie.
Comment 2 Jeremy Katz 2006-11-16 14:27:36 EST
This is a bug in the package.  

[katzj@orodruin .logs]$ rpm -q libstdc++-devel --obsoletes
libstdc++3-devel  
libstdc++34-devel  
[katzj@orodruin .logs]$ rpm -q libstdc++-devel --provides
libstdc++34-devel  
libstdc++-devel = 4.1.1-35

So the obsolete leads to one arch being removed
Comment 4 Jakub Jelinek 2007-01-15 18:45:29 EST
This ought to be fixed in gcc-4.1.1-38 and above.
Comment 6 RHEL Product and Program Management 2007-05-01 11:57:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Andrew Cagney 2007-05-07 14:16:20 EDT
``(In reply to comment #4)
> This ought to be fixed in gcc-4.1.1-38 and above.

Note You need to log in before you can comment on or make changes to this bug.